<?php

namespace Database\Seeders;

use App\Models\CountryCurrencies;
use Illuminate\Database\Seeder;

class CountryCurrenciesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $countrycurrencies = [
            [
                "id" => "1",
                "aplha_code2" => "AD",
                "aplha_code3" => "AND",
                "numeric_code" => "20",
                "country" => "Andorra",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "2",
                "aplha_code2" => "AE",
                "aplha_code3" => "ARE",
                "numeric_code" => "784",
                "country" => "United Arab Emirates",
                "currency" => "Dirham",
                "code" => "AED",
                "symbol" => "AED",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "3",
                "aplha_code2" => "AF",
                "aplha_code3" => "AFG",
                "numeric_code" => "4",
                "country" => "Afghanistan",
                "currency" => "Afghani",
                "code" => "AFN",
                "symbol" => "AFN",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "4",
                "aplha_code2" => "AL",
                "aplha_code3" => "ALB",
                "numeric_code" => "8",
                "country" => "Albania",
                "currency" => "Albanian lek",
                "code" => "ALL",
                "symbol" => "L",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "5",
                "aplha_code2" => "AM",
                "aplha_code3" => "ARM",
                "numeric_code" => "51",
                "country" => "Armenia",
                "currency" => "Armenian dram",
                "code" => "AMD",
                "symbol" => "AMD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "6",
                "aplha_code2" => "AO",
                "aplha_code3" => "AGO",
                "numeric_code" => "24",
                "country" => "Angola",
                "currency" => "Angolan kwanza",
                "code" => "AOA",
                "symbol" => "Kz",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "7",
                "aplha_code2" => "AR",
                "aplha_code3" => "ARG",
                "numeric_code" => "32",
                "country" => "Argentina",
                "currency" => "Argentine peso",
                "code" => "ARS",
                "symbol" => "$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "8",
                "aplha_code2" => "AT",
                "aplha_code3" => "AUT",
                "numeric_code" => "40",
                "country" => "Austria",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "9",
                "aplha_code2" => "AU",
                "aplha_code3" => "AUS",
                "numeric_code" => "36",
                "country" => "Australia",
                "currency" => "Australian Dollar",
                "code" => "AUD",
                "symbol" => "A$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "10",
                "aplha_code2" => "AW",
                "aplha_code3" => "ABW",
                "numeric_code" => "533",
                "country" => "Aruba",
                "currency" => "Aruban florin",
                "code" => "AWG",
                "symbol" => "ƒ",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "11",
                "aplha_code2" => "AZ",
                "aplha_code3" => "AZE",
                "numeric_code" => "31",
                "country" => "Azerbaijan",
                "currency" => "Azerbaijani manat",
                "code" => "AZN",
                "symbol" => "&#8380;",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "12",
                "aplha_code2" => "BA",
                "aplha_code3" => "BIH",
                "numeric_code" => "70",
                "country" => "Bosnia and Herzegovina",
                "currency" => "Mark",
                "code" => "BAM",
                "symbol" => "KM",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "13",
                "aplha_code2" => "BB",
                "aplha_code3" => "BRB",
                "numeric_code" => "52",
                "country" => "Barbados",
                "currency" => "Barbadian dollar",
                "code" => "BBD",
                "symbol" => "Bds$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "14",
                "aplha_code2" => "BD",
                "aplha_code3" => "BGD",
                "numeric_code" => "50",
                "country" => "Bangladesh",
                "currency" => "Bangladeshi taka",
                "code" => "BDT",
                "symbol" => "Tk",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "15",
                "aplha_code2" => "BE",
                "aplha_code3" => "BEL",
                "numeric_code" => "56",
                "country" => "Belgium",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "16",
                "aplha_code2" => "BG",
                "aplha_code3" => "BGR",
                "numeric_code" => "100",
                "country" => "Bulgaria",
                "currency" => "Bulgarian lev",
                "code" => "BGN",
                "symbol" => "лв",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "17",
                "aplha_code2" => "BH",
                "aplha_code3" => "BHR",
                "numeric_code" => "48",
                "country" => "Bahrain",
                "currency" => "Bahraini dinar",
                "code" => "BHD",
                "symbol" => "BD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "18",
                "aplha_code2" => "BI",
                "aplha_code3" => "BDI",
                "numeric_code" => "108",
                "country" => "Burundi",
                "currency" => "Burundian franc",
                "code" => "BIF",
                "symbol" => "Fbu",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "19",
                "aplha_code2" => "BM",
                "aplha_code3" => "BMU",
                "numeric_code" => "60",
                "country" => "Bermuda",
                "currency" => "Bermudian dollar",
                "code" => "BMD",
                "symbol" => "BM$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "20",
                "aplha_code2" => "BN",
                "aplha_code3" => "BRN",
                "numeric_code" => "96",
                "country" => "Brunei Darussalam",
                "currency" => "Brunei dollar",
                "code" => "BND",
                "symbol" => "B$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "21",
                "aplha_code2" => "BO",
                "aplha_code3" => "BOL",
                "numeric_code" => "68",
                "country" => "Bolivia, Plurinational State of",
                "currency" => "Bolivian boliviano",
                "code" => "BOB",
                "symbol" => "Bs",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "22",
                "aplha_code2" => "BR",
                "aplha_code3" => "BRA",
                "numeric_code" => "76",
                "country" => "Brazil",
                "currency" => "Brazilian real",
                "code" => "BRL",
                "symbol" => "R$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "23",
                "aplha_code2" => "BS",
                "aplha_code3" => "BHS",
                "numeric_code" => "44",
                "country" => "Bahamas",
                "currency" => "Bahamian dollar",
                "code" => "BSD",
                "symbol" => "B$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "24",
                "aplha_code2" => "BT",
                "aplha_code3" => "BTN",
                "numeric_code" => "64",
                "country" => "Bhutan",
                "currency" => "Bhutanese ngultrum",
                "code" => "BTN",
                "symbol" => "Nu",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "25",
                "aplha_code2" => "BW",
                "aplha_code3" => "BWA",
                "numeric_code" => "72",
                "country" => "Botswana",
                "currency" => "Botswana pula",
                "code" => "BWP",
                "symbol" => "P",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "26",
                "aplha_code2" => "BZ",
                "aplha_code3" => "BLZ",
                "numeric_code" => "84",
                "country" => "Belize",
                "currency" => "Belize dollar",
                "code" => "BZD",
                "symbol" => "BZ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "27",
                "aplha_code2" => "CA",
                "aplha_code3" => "CAN",
                "numeric_code" => "124",
                "country" => "Canada",
                "currency" => "Canadian dollar",
                "code" => "CAD",
                "symbol" => "C$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "28",
                "aplha_code2" => "CC",
                "aplha_code3" => "CCK",
                "numeric_code" => "166",
                "country" => "Cocos (Keeling) Islands",
                "currency" => "Australian dollar",
                "code" => "AUD",
                "symbol" => "A$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "29",
                "aplha_code2" => "CD",
                "aplha_code3" => "COD",
                "numeric_code" => "180",
                "country" => "Congo, The Democratic Republic of The",
                "currency" => "Congolese franc",
                "code" => "CDF",
                "symbol" => "FC",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "30",
                "aplha_code2" => "CG",
                "aplha_code3" => "COG",
                "numeric_code" => "178",
                "country" => "Congo",
                "currency" => "Congolese franc",
                "code" => "CDF",
                "symbol" => "FC",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "31",
                "aplha_code2" => "CH",
                "aplha_code3" => "CHE",
                "numeric_code" => "756",
                "country" => "Switzerland",
                "currency" => "Swiss Franc",
                "code" => "CHF",
                "symbol" => "Fr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "32",
                "aplha_code2" => "CK",
                "aplha_code3" => "COK",
                "numeric_code" => "184",
                "country" => "Cook Islands",
                "currency" => "New Zealand dollar",
                "code" => "NZD",
                "symbol" => "NZ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "33",
                "aplha_code2" => "CL",
                "aplha_code3" => "CHL",
                "numeric_code" => "152",
                "country" => "Chile",
                "currency" => "Chilean peso",
                "code" => "CLP",
                "symbol" => "CLP",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "34",
                "aplha_code2" => "CN",
                "aplha_code3" => "CHN",
                "numeric_code" => "156",
                "country" => "China",
                "currency" => "Chinese Yuan",
                "code" => "CNY",
                "symbol" => "¥",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "35",
                "aplha_code2" => "CO",
                "aplha_code3" => "COL",
                "numeric_code" => "170",
                "country" => "Colombia",
                "currency" => "Colombian peso",
                "code" => "COP",
                "symbol" => "COP",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "36",
                "aplha_code2" => "CR",
                "aplha_code3" => "CRI",
                "numeric_code" => "188",
                "country" => "Costa Rica",
                "currency" => "Costa Rican colón",
                "code" => "CRC",
                "symbol" => "₡",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "37",
                "aplha_code2" => "CU",
                "aplha_code3" => "CUB",
                "numeric_code" => "192",
                "country" => "Cuba",
                "currency" => "Cuban Peso",
                "code" => "CUP",
                "symbol" => "₱",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "38",
                "aplha_code2" => "CV",
                "aplha_code3" => "CPV",
                "numeric_code" => "132",
                "country" => "Cabo Verde",
                "currency" => "Cape Verdean Escudo",
                "code" => "CVE",
                "symbol" => "Esc",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "39",
                "aplha_code2" => "CY",
                "aplha_code3" => "CYP",
                "numeric_code" => "196",
                "country" => "Cyprus",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "40",
                "aplha_code2" => "CZ",
                "aplha_code3" => "CZE",
                "numeric_code" => "203",
                "country" => "Czech Republic",
                "currency" => "Czech koruna",
                "code" => "CZK",
                "symbol" => "Kč",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "41",
                "aplha_code2" => "DE",
                "aplha_code3" => "DEU",
                "numeric_code" => "276",
                "country" => "Germany",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "42",
                "aplha_code2" => "DJ",
                "aplha_code3" => "DJI",
                "numeric_code" => "262",
                "country" => "Djibouti",
                "currency" => "Djiboutian franc",
                "code" => "DJF",
                "symbol" => "Fdj",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "43",
                "aplha_code2" => "DK",
                "aplha_code3" => "DNK",
                "numeric_code" => "208",
                "country" => "Denmark",
                "currency" => "Danish krone",
                "code" => "DKK",
                "symbol" => "Kr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "44",
                "aplha_code2" => "DO",
                "aplha_code3" => "DOM",
                "numeric_code" => "214",
                "country" => "Dominican Republic",
                "currency" => "Eastern Caribbean dollar",
                "code" => "DOP",
                "symbol" => "EC$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "45",
                "aplha_code2" => "DZ",
                "aplha_code3" => "DZA",
                "numeric_code" => "12",
                "country" => "Algeria",
                "currency" => "Algerian dinar",
                "code" => "DZD",
                "symbol" => "DZD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "46",
                "aplha_code2" => "EE",
                "aplha_code3" => "EST",
                "numeric_code" => "233",
                "country" => "Estonia",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "47",
                "aplha_code2" => "EG",
                "aplha_code3" => "EGY",
                "numeric_code" => "818",
                "country" => "Egypt",
                "currency" => "Egyptian pound",
                "code" => "EGP",
                "symbol" => "E£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "48",
                "aplha_code2" => "ES",
                "aplha_code3" => "ESP",
                "numeric_code" => "724",
                "country" => "Spain",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "49",
                "aplha_code2" => "ET",
                "aplha_code3" => "ETH",
                "numeric_code" => "231",
                "country" => "Ethiopia",
                "currency" => "Ethiopian birr",
                "code" => "ETB",
                "symbol" => "Br",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "50",
                "aplha_code2" => "FI",
                "aplha_code3" => "FIN",
                "numeric_code" => "246",
                "country" => "Finland",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "51",
                "aplha_code2" => "FJ",
                "aplha_code3" => "FJI",
                "numeric_code" => "242",
                "country" => "Fiji",
                "currency" => "Fijian dollar",
                "code" => "FJD",
                "symbol" => "FJ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "52",
                "aplha_code2" => "FR",
                "aplha_code3" => "FRA",
                "numeric_code" => "250",
                "country" => "France",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "53",
                "aplha_code2" => "GB",
                "aplha_code3" => "GBR",
                "numeric_code" => "826",
                "country" => "United Kingdom",
                "currency" => "Pound",
                "code" => "GBP",
                "symbol" => "£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "54",
                "aplha_code2" => "GE",
                "aplha_code3" => "GEO",
                "numeric_code" => "268",
                "country" => "Georgia",
                "currency" => "Georgian Lari",
                "code" => "GEL",
                "symbol" => "GEL",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "55",
                "aplha_code2" => "GH",
                "aplha_code3" => "GHA",
                "numeric_code" => "288",
                "country" => "Ghana",
                "currency" => "Ghanaian Cedi ",
                "code" => "GHS",
                "symbol" => "GH¢",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "56",
                "aplha_code2" => "GI",
                "aplha_code3" => "GIB",
                "numeric_code" => "292",
                "country" => "Gibraltar",
                "currency" => "Gibraltar pound",
                "code" => "GIP",
                "symbol" => "GIB£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "57",
                "aplha_code2" => "GM",
                "aplha_code3" => "GMB",
                "numeric_code" => "270",
                "country" => "Gambia",
                "currency" => "Gambian dalasi",
                "code" => "GMD",
                "symbol" => "D",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "58",
                "aplha_code2" => "GN",
                "aplha_code3" => "GIN",
                "numeric_code" => "324",
                "country" => "Guinea",
                "currency" => "Guinean franc",
                "code" => "GNF",
                "symbol" => "GFr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "59",
                "aplha_code2" => "GR",
                "aplha_code3" => "GRC",
                "numeric_code" => "300",
                "country" => "Greece",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "60",
                "aplha_code2" => "GT",
                "aplha_code3" => "GTM",
                "numeric_code" => "320",
                "country" => "Guatemala",
                "currency" => "Guatemalan Quetzal",
                "code" => "GTQ",
                "symbol" => "Q",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "61",
                "aplha_code2" => "GY",
                "aplha_code3" => "GUY",
                "numeric_code" => "328",
                "country" => "Guyana",
                "currency" => "Guyanaese Dollar",
                "code" => "GYD",
                "symbol" => "GY$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "62",
                "aplha_code2" => "HK",
                "aplha_code3" => "HKG",
                "numeric_code" => "344",
                "country" => "Hong Kong",
                "currency" => "Hong Kong dollar",
                "code" => "HKD",
                "symbol" => "HK$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "63",
                "aplha_code2" => "HN",
                "aplha_code3" => "HND",
                "numeric_code" => "340",
                "country" => "Honduras",
                "currency" => "Honduran Lempira",
                "code" => "HNL",
                "symbol" => "L",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "64",
                "aplha_code2" => "HR",
                "aplha_code3" => "HRV",
                "numeric_code" => "191",
                "country" => "Croatia",
                "currency" => "Croatian Kuna",
                "code" => "HRK",
                "symbol" => "kn",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "65",
                "aplha_code2" => "HT",
                "aplha_code3" => "HTI",
                "numeric_code" => "332",
                "country" => "Haiti",
                "currency" => "Haitian Gourde",
                "code" => "HTG",
                "symbol" => "G",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "66",
                "aplha_code2" => "HU",
                "aplha_code3" => "HUN",
                "numeric_code" => "348",
                "country" => "Hungary",
                "currency" => "Hungarian Forint",
                "code" => "HUF",
                "symbol" => "Ft",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "67",
                "aplha_code2" => "ID",
                "aplha_code3" => "IDN",
                "numeric_code" => "360",
                "country" => "Indonesia",
                "currency" => "Indonesian rupiah",
                "code" => "IDR",
                "symbol" => "Rp",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "68",
                "aplha_code2" => "IE",
                "aplha_code3" => "IRL",
                "numeric_code" => "372",
                "country" => "Ireland",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "69",
                "aplha_code2" => "IL",
                "aplha_code3" => "ISR",
                "numeric_code" => "376",
                "country" => "Israel",
                "currency" => "Israeli New Shekel",
                "code" => "ILS",
                "symbol" => "₪",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "70",
                "aplha_code2" => "IM",
                "aplha_code3" => "IMN",
                "numeric_code" => "833",
                "country" => "Isle of Man",
                "currency" => "Pound",
                "code" => "GBP",
                "symbol" => "£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "71",
                "aplha_code2" => "IN",
                "aplha_code3" => "IND",
                "numeric_code" => "356",
                "country" => "India",
                "currency" => "Indian rupee",
                "code" => "INR",
                "symbol" => "₹",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "72",
                "aplha_code2" => "IO",
                "aplha_code3" => "IOT",
                "numeric_code" => "86",
                "country" => "British Indian Ocean Territory",
                "currency" => "Pound",
                "code" => "GBP",
                "symbol" => "£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "73",
                "aplha_code2" => "IQ",
                "aplha_code3" => "IRQ",
                "numeric_code" => "368",
                "country" => "Iraq",
                "currency" => "Iraqi Dinar",
                "code" => "IQD",
                "symbol" => "IQD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "74",
                "aplha_code2" => "IR",
                "aplha_code3" => "IRN",
                "numeric_code" => "364",
                "country" => "Iran, Islamic Republic of",
                "currency" => "Iranian Rial",
                "code" => "IRR",
                "symbol" => "IRR",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "75",
                "aplha_code2" => "IS",
                "aplha_code3" => "ISL",
                "numeric_code" => "352",
                "country" => "Iceland",
                "currency" => "Icelandic króna",
                "code" => "ISK",
                "symbol" => "Íkr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "76",
                "aplha_code2" => "IT",
                "aplha_code3" => "ITA",
                "numeric_code" => "380",
                "country" => "Italy",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "77",
                "aplha_code2" => "JM",
                "aplha_code3" => "JAM",
                "numeric_code" => "388",
                "country" => "Jamaica",
                "currency" => "Jamaican dollar",
                "code" => "JMD",
                "symbol" => "J$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "78",
                "aplha_code2" => "JO",
                "aplha_code3" => "JOR",
                "numeric_code" => "400",
                "country" => "Jordan",
                "currency" => "Jordanian Dinar",
                "code" => "JOD",
                "symbol" => "JOD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "79",
                "aplha_code2" => "JP",
                "aplha_code3" => "JPN",
                "numeric_code" => "392",
                "country" => "Japan",
                "currency" => "Japanese Yen",
                "code" => "JPY",
                "symbol" => "¥",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "80",
                "aplha_code2" => "KE",
                "aplha_code3" => "KEN",
                "numeric_code" => "404",
                "country" => "Kenya",
                "currency" => "Kenyan Shilling",
                "code" => "KES",
                "symbol" => "K",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "81",
                "aplha_code2" => "KG",
                "aplha_code3" => "KGZ",
                "numeric_code" => "417",
                "country" => "Kyrgyzstan",
                "currency" => "Kyrgystani Som",
                "code" => "KGS",
                "symbol" => "Лв",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "82",
                "aplha_code2" => "KH",
                "aplha_code3" => "KHM",
                "numeric_code" => "116",
                "country" => "Cambodia",
                "currency" => "Cambodian riel",
                "code" => "KHR",
                "symbol" => "KHR",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "83",
                "aplha_code2" => "KI",
                "aplha_code3" => "KIR",
                "numeric_code" => "296",
                "country" => "Kiribati",
                "currency" => "Australian Dollar",
                "code" => "AUD",
                "symbol" => "A$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "84",
                "aplha_code2" => "KR",
                "aplha_code3" => "KOR",
                "numeric_code" => "410",
                "country" => "Korea, Republic of",
                "currency" => "South Korean Won",
                "code" => "KRW",
                "symbol" => "₩",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "85",
                "aplha_code2" => "KW",
                "aplha_code3" => "KWT",
                "numeric_code" => "414",
                "country" => "Kuwait",
                "currency" => "Kuwaiti Dinar",
                "code" => "KWD",
                "symbol" => "KD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "86",
                "aplha_code2" => "KY",
                "aplha_code3" => "CYM",
                "numeric_code" => "136",
                "country" => "Cayman Islands",
                "currency" => "Cayman Islands Dollar",
                "code" => "KYD",
                "symbol" => "C$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "87",
                "aplha_code2" => "KZ",
                "aplha_code3" => "KAZ",
                "numeric_code" => "398",
                "country" => "Kazakhstan",
                "currency" => "Kazakhstani tenge",
                "code" => "KZT",
                "symbol" => "₸",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "88",
                "aplha_code2" => "LA",
                "aplha_code3" => "LAO",
                "numeric_code" => "418",
                "country" => "Lao People's Democratic Republic",
                "currency" => "Laotian Kip",
                "code" => "LAK",
                "symbol" => "₭",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "89",
                "aplha_code2" => "LB",
                "aplha_code3" => "LBN",
                "numeric_code" => "422",
                "country" => "Lebanon",
                "currency" => "Lebanese pound",
                "code" => "LBP",
                "symbol" => "L£",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "90",
                "aplha_code2" => "LK",
                "aplha_code3" => "LKA",
                "numeric_code" => "144",
                "country" => "Sri Lanka",
                "currency" => "Sri Lankan Rupee",
                "code" => "LKR",
                "symbol" => "Rs. ",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "91",
                "aplha_code2" => "LR",
                "aplha_code3" => "LBR",
                "numeric_code" => "430",
                "country" => "Liberia",
                "currency" => "Liberian Dollar",
                "code" => "LRD",
                "symbol" => "L$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "92",
                "aplha_code2" => "LS",
                "aplha_code3" => "LSO",
                "numeric_code" => "426",
                "country" => "Lesotho",
                "currency" => "Lesotho Loti",
                "code" => "LSL",
                "symbol" => "L",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "93",
                "aplha_code2" => "LT",
                "aplha_code3" => "LTU",
                "numeric_code" => "440",
                "country" => "Lithuania",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "94",
                "aplha_code2" => "LU",
                "aplha_code3" => "LUX",
                "numeric_code" => "442",
                "country" => "Luxembourg",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "95",
                "aplha_code2" => "LV",
                "aplha_code3" => "LVA",
                "numeric_code" => "428",
                "country" => "Latvia",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "96",
                "aplha_code2" => "LY",
                "aplha_code3" => "LBY",
                "numeric_code" => "434",
                "country" => "Libya",
                "currency" => "Libyan dinar",
                "code" => "LYD",
                "symbol" => "LD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "97",
                "aplha_code2" => "MA",
                "aplha_code3" => "MAR",
                "numeric_code" => "504",
                "country" => "Morocco",
                "currency" => "Moroccan Dirham",
                "code" => "MAD",
                "symbol" => "MAD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "98",
                "aplha_code2" => "MC",
                "aplha_code3" => "MCO",
                "numeric_code" => "492",
                "country" => "Monaco",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "99",
                "aplha_code2" => "MD",
                "aplha_code3" => "MDA",
                "numeric_code" => "498",
                "country" => "Moldova, Republic of",
                "currency" => "Moldovan Leu",
                "code" => "MDL",
                "symbol" => "L",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "100",
                "aplha_code2" => "ME",
                "aplha_code3" => "MNE",
                "numeric_code" => "499",
                "country" => "Montenegro",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "101",
                "aplha_code2" => "MG",
                "aplha_code3" => "MDG",
                "numeric_code" => "450",
                "country" => "Madagascar",
                "currency" => "Malagasy Ariary",
                "code" => "MGA",
                "symbol" => "Ar",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "102",
                "aplha_code2" => "MK",
                "aplha_code3" => "MKD",
                "numeric_code" => "807",
                "country" => "North Macedonia",
                "currency" => "Macedonian Denar",
                "code" => "MKD",
                "symbol" => "den",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "103",
                "aplha_code2" => "MM",
                "aplha_code3" => "MMR",
                "numeric_code" => "104",
                "country" => "Myanmar",
                "currency" => "Myanma Kyat",
                "code" => "MMK",
                "symbol" => "K",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "104",
                "aplha_code2" => "MO",
                "aplha_code3" => "MAC",
                "numeric_code" => "446",
                "country" => "Macao",
                "currency" => "Macanese Pataca",
                "code" => "MOP",
                "symbol" => "MOP",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "105",
                "aplha_code2" => "MT",
                "aplha_code3" => "MLT",
                "numeric_code" => "470",
                "country" => "Malta",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "106",
                "aplha_code2" => "MU",
                "aplha_code3" => "MUS",
                "numeric_code" => "480",
                "country" => "Mauritius",
                "currency" => "Mauritian Rupee",
                "code" => "MUR",
                "symbol" => "Rs.",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "107",
                "aplha_code2" => "MV",
                "aplha_code3" => "MDV",
                "numeric_code" => "462",
                "country" => "Maldives",
                "currency" => "Maldivian Rufiyaa",
                "code" => "MVR",
                "symbol" => "Rf",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "108",
                "aplha_code2" => "MW",
                "aplha_code3" => "MWI",
                "numeric_code" => "454",
                "country" => "Malawi",
                "currency" => "Malawian Kwacha",
                "code" => "MWK",
                "symbol" => "MK",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "109",
                "aplha_code2" => "MX",
                "aplha_code3" => "MEX",
                "numeric_code" => "484",
                "country" => "Mexico",
                "currency" => "Mexican Peso",
                "code" => "MXN",
                "symbol" => "Mex$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "110",
                "aplha_code2" => "MY",
                "aplha_code3" => "MYS",
                "numeric_code" => "458",
                "country" => "Malaysia",
                "currency" => "Malaysian Ringgit",
                "code" => "MYR",
                "symbol" => "RM",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "111",
                "aplha_code2" => "MZ",
                "aplha_code3" => "MOZ",
                "numeric_code" => "508",
                "country" => "Mozambique",
                "currency" => "Mozambican Metical",
                "code" => "MZN",
                "symbol" => "MT",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "112",
                "aplha_code2" => "NA",
                "aplha_code3" => "NAM",
                "numeric_code" => "516",
                "country" => "Namibia",
                "currency" => "Namibian Dollar",
                "code" => "NAD",
                "symbol" => "NA$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "113",
                "aplha_code2" => "NC",
                "aplha_code3" => "NCL",
                "numeric_code" => "540",
                "country" => "New Caledonia",
                "currency" => "CFP Franc",
                "code" => "XPF",
                "symbol" => "₣",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "114",
                "aplha_code2" => "NG",
                "aplha_code3" => "NGA",
                "numeric_code" => "566",
                "country" => "Nigeria",
                "currency" => "Nigerian Naira",
                "code" => "NGN",
                "symbol" => "₦",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "115",
                "aplha_code2" => "NI",
                "aplha_code3" => "NIC",
                "numeric_code" => "558",
                "country" => "Nicaragua",
                "currency" => "Nicaraguan Córdoba",
                "code" => "NIO",
                "symbol" => "C$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "116",
                "aplha_code2" => "NL",
                "aplha_code3" => "NLD",
                "numeric_code" => "528",
                "country" => "Netherlands",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "117",
                "aplha_code2" => "NO",
                "aplha_code3" => "NOR",
                "numeric_code" => "578",
                "country" => "Norway",
                "currency" => "Norwegian Krone",
                "code" => "NOK",
                "symbol" => "kr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "118",
                "aplha_code2" => "NP",
                "aplha_code3" => "NPL",
                "numeric_code" => "524",
                "country" => "Nepal",
                "currency" => "Nepalese Rupee",
                "code" => "NPR",
                "symbol" => "Rs",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "119",
                "aplha_code2" => "NR",
                "aplha_code3" => "NRU",
                "numeric_code" => "520",
                "country" => "Nauru",
                "currency" => "Australian Dollar",
                "code" => "AUD",
                "symbol" => "A$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "120",
                "aplha_code2" => "NU",
                "aplha_code3" => "NIU",
                "numeric_code" => "570",
                "country" => "Niue",
                "currency" => "New Zealand Dollar",
                "code" => "NZD",
                "symbol" => "NZ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "121",
                "aplha_code2" => "NZ",
                "aplha_code3" => "NZL",
                "numeric_code" => "554",
                "country" => "New Zealand",
                "currency" => "New Zealand Dollar",
                "code" => "NZD",
                "symbol" => "NZ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "122",
                "aplha_code2" => "OM",
                "aplha_code3" => "OMN",
                "numeric_code" => "512",
                "country" => "Oman",
                "currency" => "Omani Rial",
                "code" => "OMR",
                "symbol" => "ر",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "123",
                "aplha_code2" => "PA",
                "aplha_code3" => "PAN",
                "numeric_code" => "591",
                "country" => "Panama",
                "currency" => "Panamanian Balboa",
                "code" => "PAB",
                "symbol" => "PAB",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "124",
                "aplha_code2" => "PE",
                "aplha_code3" => "PER",
                "numeric_code" => "604",
                "country" => "Peru",
                "currency" => "Peruvian Nuevo Sol",
                "code" => "PEN",
                "symbol" => "PEN",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "125",
                "aplha_code2" => "PF",
                "aplha_code3" => "PYF",
                "numeric_code" => "258",
                "country" => "French Polynesia",
                "currency" => "CFP Franc",
                "code" => "XPF",
                "symbol" => "₣",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "126",
                "aplha_code2" => "PG",
                "aplha_code3" => "PNG",
                "numeric_code" => "598",
                "country" => "Papua New Guinea",
                "currency" => "Papua New Guinean Kina",
                "code" => "PGK",
                "symbol" => "K",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "127",
                "aplha_code2" => "PH",
                "aplha_code3" => "PHL",
                "numeric_code" => "608",
                "country" => "Philippines",
                "currency" => "Philippine Peso",
                "code" => "PHP",
                "symbol" => "₱",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "128",
                "aplha_code2" => "PK",
                "aplha_code3" => "PAK",
                "numeric_code" => "586",
                "country" => "Pakistan",
                "currency" => "Pakistani Rupee",
                "code" => "PKR",
                "symbol" => "Rs",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "129",
                "aplha_code2" => "PL",
                "aplha_code3" => "POL",
                "numeric_code" => "616",
                "country" => "Poland",
                "currency" => "Polish Zloty",
                "code" => "PLN",
                "symbol" => "zł",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "130",
                "aplha_code2" => "PN",
                "aplha_code3" => "PCN",
                "numeric_code" => "612",
                "country" => "Pitcairn",
                "currency" => "New Zealand Dollar",
                "code" => "NZD",
                "symbol" => "NZ$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "131",
                "aplha_code2" => "PT",
                "aplha_code3" => "PRT",
                "numeric_code" => "620",
                "country" => "Portugal",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "132",
                "aplha_code2" => "PY",
                "aplha_code3" => "PRY",
                "numeric_code" => "600",
                "country" => "Paraguay",
                "currency" => "Paraguayan Guarani",
                "code" => "PYG",
                "symbol" => "₲",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "133",
                "aplha_code2" => "QA",
                "aplha_code3" => "QAT",
                "numeric_code" => "634",
                "country" => "Qatar",
                "currency" => "Qatari Rial",
                "code" => "QAR",
                "symbol" => "QR",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "134",
                "aplha_code2" => "RO",
                "aplha_code3" => "ROU",
                "numeric_code" => "642",
                "country" => "Romania",
                "currency" => "Romanian Leu",
                "code" => "RON",
                "symbol" => "lei",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "135",
                "aplha_code2" => "RS",
                "aplha_code3" => "SRB",
                "numeric_code" => "688",
                "country" => "Serbia",
                "currency" => "Serbian Dinar",
                "code" => "RSD",
                "symbol" => "din",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "136",
                "aplha_code2" => "RU",
                "aplha_code3" => "RUS",
                "numeric_code" => "643",
                "country" => "Russian Federation",
                "currency" => "Russian Ruble",
                "code" => "RUB",
                "symbol" => "₽",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "137",
                "aplha_code2" => "RW",
                "aplha_code3" => "RWA",
                "numeric_code" => "646",
                "country" => "Rwanda",
                "currency" => "Rwandan Franc",
                "code" => "RWF",
                "symbol" => "RF",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "138",
                "aplha_code2" => "SA",
                "aplha_code3" => "SAU",
                "numeric_code" => "682",
                "country" => "Saudi Arabia",
                "currency" => "Saudi Riyal",
                "code" => "SAR",
                "symbol" => "SR",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "139",
                "aplha_code2" => "SB",
                "aplha_code3" => "SLB",
                "numeric_code" => "90",
                "country" => "Solomon Islands",
                "currency" => "Solomon Islands Dollar",
                "code" => "SBD",
                "symbol" => "SI$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "140",
                "aplha_code2" => "SC",
                "aplha_code3" => "SYC",
                "numeric_code" => "690",
                "country" => "Seychelles",
                "currency" => "Seychellois Rupee",
                "code" => "SCR",
                "symbol" => "SR",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "141",
                "aplha_code2" => "SD",
                "aplha_code3" => "SDN",
                "numeric_code" => "729",
                "country" => "Sudan",
                "currency" => "Sudanese Pound",
                "code" => "SDG",
                "symbol" => "SD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "142",
                "aplha_code2" => "SE",
                "aplha_code3" => "SWE",
                "numeric_code" => "752",
                "country" => "Sweden",
                "currency" => "Swedish Krona",
                "code" => "SEK",
                "symbol" => "kr",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "143",
                "aplha_code2" => "SG",
                "aplha_code3" => "SGP",
                "numeric_code" => "702",
                "country" => "Singapore",
                "currency" => "Singapore Dollar",
                "code" => "SGD",
                "symbol" => "S$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "144",
                "aplha_code2" => "SI",
                "aplha_code3" => "SVN",
                "numeric_code" => "705",
                "country" => "Slovenia",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "145",
                "aplha_code2" => "SK",
                "aplha_code3" => "SVK",
                "numeric_code" => "703",
                "country" => "Slovakia",
                "currency" => "Euro",
                "code" => "EUR",
                "symbol" => "€",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "146",
                "aplha_code2" => "SL",
                "aplha_code3" => "SLE",
                "numeric_code" => "694",
                "country" => "Sierra Leone",
                "currency" => "Sierra Leonean Leone",
                "code" => "SLL",
                "symbol" => "Le",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "147",
                "aplha_code2" => "SO",
                "aplha_code3" => "SOM",
                "numeric_code" => "706",
                "country" => "Somalia",
                "currency" => "Somali Shilling",
                "code" => "SOS",
                "symbol" => "Sh",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "148",
                "aplha_code2" => "SR",
                "aplha_code3" => "SUR",
                "numeric_code" => "740",
                "country" => "Suriname",
                "currency" => "Surinamese Dollar",
                "code" => "SRD",
                "symbol" => "Sr$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "149",
                "aplha_code2" => "SS",
                "aplha_code3" => "SSD",
                "numeric_code" => "728",
                "country" => "South Sudan",
                "currency" => "Sudanese Pound",
                "code" => "SDG",
                "symbol" => "SD",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "150",
                "aplha_code2" => "SZ",
                "aplha_code3" => "SWZ",
                "numeric_code" => "748",
                "country" => "Swaziland",
                "currency" => "Swazi Lilangeni",
                "code" => "SZL",
                "symbol" => "E",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "151",
                "aplha_code2" => "TH",
                "aplha_code3" => "THA",
                "numeric_code" => "764",
                "country" => "Thailand",
                "currency" => "Thai Baht",
                "code" => "THB",
                "symbol" => "฿",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "152",
                "aplha_code2" => "TJ",
                "aplha_code3" => "TJK",
                "numeric_code" => "762",
                "country" => "Tajikistan",
                "currency" => "Tajikistani Somoni",
                "code" => "TJS",
                "symbol" => "ЅM",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "153",
                "aplha_code2" => "TM",
                "aplha_code3" => "TKM",
                "numeric_code" => "795",
                "country" => "Turkmenistan",
                "currency" => "Turkmenistani Manat",
                "code" => "TMT",
                "symbol" => "T",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "154",
                "aplha_code2" => "TN",
                "aplha_code3" => "TUN",
                "numeric_code" => "788",
                "country" => "Tunisia",
                "currency" => "Tunisian Dinar",
                "code" => "TND",
                "symbol" => "DT",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "155",
                "aplha_code2" => "TO",
                "aplha_code3" => "TON",
                "numeric_code" => "776",
                "country" => "Tonga",
                "currency" => "Tongan Paʻanga",
                "code" => "TOP",
                "symbol" => "T$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "156",
                "aplha_code2" => "TR",
                "aplha_code3" => "TUR",
                "numeric_code" => "792",
                "country" => "Turkey",
                "currency" => "Turkish Lira",
                "code" => "TRY",
                "symbol" => "TL",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "157",
                "aplha_code2" => "TT",
                "aplha_code3" => "TTO",
                "numeric_code" => "780",
                "country" => "Trinidad and Tobago",
                "currency" => "Trinidad and Tobago Dollar",
                "code" => "TTD",
                "symbol" => "TT$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "158",
                "aplha_code2" => "TV",
                "aplha_code3" => "TUV",
                "numeric_code" => "798",
                "country" => "Tuvalu",
                "currency" => "Australian Dollar",
                "code" => "AUD",
                "symbol" => "A$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "159",
                "aplha_code2" => "TW",
                "aplha_code3" => "TWN",
                "numeric_code" => "158",
                "country" => "Taiwan, Province of China",
                "currency" => "New Taiwan Dollar",
                "code" => "TWD",
                "symbol" => "NT$",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "160",
                "aplha_code2" => "TZ",
                "aplha_code3" => "TZA",
                "numeric_code" => "834",
                "country" => "Tanzania, United Republic of",
                "currency" => "Tanzanian Shilling",
                "code" => "TZS",
                "symbol" => "TSh",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "161",
                "aplha_code2" => "UA",
                "aplha_code3" => "UKR",
                "numeric_code" => "804",
                "country" => "Ukraine",
                "currency" => "Ukrainian Hryvnia",
                "code" => "UAH",
                "symbol" => "₴",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "162",
                "aplha_code2" => "UG",
                "aplha_code3" => "UGA",
                "numeric_code" => "800",
                "country" => "Uganda",
                "currency" => "Ugandan Shilling",
                "code" => "UGX",
                "symbol" => "Ush",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "163",
                "aplha_code2" => "UY",
                "aplha_code3" => "URY",
                "numeric_code" => "858",
                "country" => "Uruguay",
                "currency" => "Uruguayan peso",
                "code" => "UYU",
                "symbol" => "",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "164",
                "aplha_code2" => "UZ",
                "aplha_code3" => "UZB",
                "numeric_code" => "860",
                "country" => "Uzbekistan",
                "currency" => "Uzbekistan Som",
                "code" => "UZS",
                "symbol" => "so'm",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "165",
                "aplha_code2" => "VN",
                "aplha_code3" => "VNM",
                "numeric_code" => "704",
                "country" => "Viet Nam",
                "currency" => "Vietnamese Dong",
                "code" => "VND",
                "symbol" => "₫",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "166",
                "aplha_code2" => "WF",
                "aplha_code3" => "WLF",
                "numeric_code" => "876",
                "country" => "Wallis and Futuna",
                "currency" => "CFP Franc",
                "code" => "XPF",
                "symbol" => "₣",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "167",
                "aplha_code2" => "YE",
                "aplha_code3" => "YEM",
                "numeric_code" => "887",
                "country" => "Yemen",
                "currency" => "Yemeni Rial",
                "code" => "YER",
                "symbol" => "Rial",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "168",
                "aplha_code2" => "ZA",
                "aplha_code3" => "ZAF",
                "numeric_code" => "710",
                "country" => "South Africa",
                "currency" => "South African Rand",
                "code" => "ZAR",
                "symbol" => "R",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "169",
                "aplha_code2" => "ZM",
                "aplha_code3" => "ZMB",
                "numeric_code" => "894",
                "country" => "Zambia",
                "currency" => "Zambian Kwacha",
                "code" => "ZMW",
                "symbol" => "ZK",
                "rate" => 1,
                "created_by" => 1,
                
            ],
            [
                "id" => "170",
                "aplha_code2" => "US",
                "aplha_code3" => "USA",
                "numeric_code" => "840",
                "country" => "United States",
                "currency" => "US Dollar",
                "code" => "USD",
                "symbol" => "$",
                "rate" => 1,
                "created_by" => 1,
                
            ]
        ];

        CountryCurrencies::insert($countrycurrencies);
    }
}
