@extends('admin.layouts.main')

@section('page')
<!-- start page title -->
<div class="row">
  <div class="col-12">
    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
      <h4 class="mb-sm-0">Create test invoice</h4>

      <div class="page-title-right">
        <div class="btn-group float-end margin-between">
          <button type="button" class="btn btn-primary waves-effect waves-light btn-sm" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" onclick="window.location = 'create-billing-invoice.html'">
            Review invoice
          </button>
        </div>
        <div class="btn-group float-end white-background-btns margin-between">
          <button type="button" class="btn btn-primary waves-effect waves-light btn-sm" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Hide Preview
          </button>
        </div>
        <div class="btn-group float-end white-background-btns margin-between">
          <button type="button" class="btn btn-primary waves-effect waves-light btn-sm" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="mdi mdi-bullhorn align-bottom me-1"></i>
            Feedback?
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- end page title -->

<div class="row">
  <div class="col-lg-12">
    <div class="card">
      <div class="card-body p-0">
        <div class="create-billing-invoice-Area">
          <div class="create-billing-invoice-fifty">
            <div class="create-billing-invoice-fiftyHolder">
              <div class="create-billing-invoice-input">
                <div class="row">
                  <div class="col-md-8">
                    <label for="placeholderInput" class="form-label main-label">Customer</label>
                    <input type="password" class="form-control" id="placeholderInput" placeholder="Find or add a test customer...">
                  </div>
                </div>
              </div>
              <div class="create-billing-invoice-input">
                <div class="row">
                  <div class="col-md-8">
                    <label for="placeholderInput" class="form-label main-label">Items</label>
                    <input type="password" class="form-control" id="placeholderInput" placeholder="Find or add an item">
                  </div>
                </div>
              </div>
              <div class="create-billing-invoice-input">
                <label for="placeholderInput" class="form-label main-label">Payment collection</label>
                <ul>
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="radio" name="formradiocolor1" id="request-payment" checked>
                      <label class="form-check-label" for="request-payment">
                        <h4>Request payment</h4>
                        <p>Create an invoice requesting payment on a specific date</p>
                      </label>
                    </div>
                  </li>
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="radio" name="formradiocolor1" id="autocharge">
                      <label class="form-check-label" for="autocharge">
                        <h4>Autocharge customer</h4>
                        <p>Automatically charge a payment method on file</p>
                      </label>
                    </div>
                  </li>
                </ul>
              </div>
              <div class="create-billing-invoice-input">
                <label for="placeholderInput" class="form-label main-label">Additional options</label>
                <ul class="additional-options">
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="checkbox" name="formradiocolor1" id="memo">
                      <label class="form-check-label" for="memo">
                        <h5>Memo</h5>
                      </label>
                    </div>
                  </li>
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="checkbox" name="formradiocolor1" id="footer">
                      <label class="form-check-label" for="footer">
                        <h5>Footer</h5>
                      </label>
                    </div>
                  </li>
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="checkbox" name="formradiocolor1" id="customer-fields">
                      <label class="form-check-label" for="customer-fields">
                        <h5>Custom fields</h5>
                      </label>
                    </div>
                  </li>
                  <li>
                    <div class="form-check form-radio-primary">
                      <input class="form-check-input" type="checkbox" name="formradiocolor1" id="tax-id">
                      <label class="form-check-label" for="tax-id">
                        <h5>Tax ID</h5>
                      </label>
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <div class="create-billing-invoice-fifty">
            <div class="create-billing-invoice-fiftyHolder">
              <div class="create-billing-invoice-input">
                <label class="form-label main-label">Preview</label>
                <ul class="nav nav-tabs nav-tabs-custom nav-success border-0" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link active" data-bs-toggle="tab" href="#invoice-PDF" role="tab">
                      Invoice PDF
                    </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" data-bs-toggle="tab" href="#email" role="tab">
                      Email
                    </a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" data-bs-toggle="tab" href="#payment-page" role="tab">
                      Payment page
                    </a>
                  </li>
                </ul>

                <div class="tab-content text-muted">
                  <div class="tab-pane active" id="invoice-PDF" role="tabpanel">
                    <div class="Page-bg"></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--end col-->
</div>
<!--end row-->
@endsection