export function usePermission() {
  const textForPermissions = [
    {
      id: 1,
      permission: 'BlockList',
      text: 'Help to block specific customers email addresses, IP addresses, or card numbers from making payments if customer is fraud and using stolen cards.',
    },
    {
      id: 2,
      permission: 'Customer',
      text: 'The customer option stores client information, manages payment methods, and tracks transaction history for billing and analytics.',
    },
    {
      id: 3,
      permission: 'ImportExport',
      text: 'The export option  allows users to download Payments data, Customer data and staff details in CSV or Excel formats.',
    },
    {
      id: 4,
      permission: 'Invoice',
      text: 'The invoice option to create, send, and manage invoices, facilitating customer payment reciept from customers.',
    },
    {
      id: 5,
      permission: 'Notes',
      text: 'The notes option allows users to add and manage internal notes on customer profiles, payments, and other records for better tracking and communication.',
    },
    {
      id: 6,
      permission: 'Payment',
      text: 'It refers to the processing of payments, refunds, and adjustments, including recording, managing, and tracking all payment activities linked to customer accounts.',
    },
    {
      id: 7,
      permission: 'PaymentLinkGenerator',
      text: 'The payment link generator creates shareable, custom URLs that customers can click to make payments from checkout.',
    },
    {
      id: 8,
      permission: 'Product',
      text: 'The product tab allow businesses to create, manage, and organize their products and services, facilitating easy integration into billing and payment systems.',
    },
    {
      id: 9,
      permission: 'Refund',
      text: 'The refund option allows businesses to return previously collected payments to customers, directly managing and processing refund transactions.',
    },
    {
      id: 10,
      permission: 'Setting',
      text: 'The settings option provides configure account preferences, team and staff from this option.',
    },
    {
      id: 11,
      permission: 'Team',
      text: 'You can manage data related to your team, such as colors and their targets, etc.',
    },
    {
      id: 12,
      permission: 'TwoStep',
      text: 'Increase security for your account by using multiple authentication methods.',
    },
  ];

  const getText = (permissionName) => {
    return textForPermissions.find(permission => permission.permission == permissionName)?.text;
  };

  return {
    getText
  }
}
